/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package io.fastkv

internal interface DataType {
    companion object {
        const val DELETE_MASK = 0x80.toByte()
        const val EXTERNAL_MASK: Byte = 0x40
        const val TYPE_MASK: Byte = 0x3F
        const val BOOLEAN: Byte = 1
        const val INT: Byte = 2
        const val FLOAT: Byte = 3
        const val LONG: Byte = 4
        const val DOUBLE: Byte = 5
        const val STRING: Byte = 6
        const val ARRAY: Byte = 7
        const val OBJECT: Byte = 8
    }
}
